Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 5432 - Linuconf doesn't set route through aliases
Summary: Linuconf doesn't set route through aliases
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: linuxconf
Version: 1.0
Hardware: i386
OS: Linux
high
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-09-29 10:09 UTC by Milan Kerslager
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-11-29 16:21:03 UTC


Attachments (Terms of Use)

Description Milan Kerslager 1999-09-29 10:09:15 UTC
If I set static route to some network that go through alias
this route will not be set because there is line in
/etc/sysconfig/static-routes:
any net 194.108.45.16 netmask 255.255.255.240 gw
194.108.45.131

so /etc/sysconfig/network-scripts/ifup-routes can't set up
this route (this script depend on eth1:1 instead of word
'any' at the beginnig of the line above - linuxconf gives
parameter eth1:1).

The solution is to set this route with proper interface (ie.
alias - eth1:1) to the begging of the line or allow
linuxconf to generate word 'any' to satisfy with script
(which doesn't seem good - there will be an error message if
any of 'any' routes will be already set at this moment.

This problem seems to be more complex so this is simplest
way I think.

Comment 1 Michael K. Johnson 1999-11-18 18:15:59 UTC
Have you tried initscripts-3.65?

Comment 2 Michael K. Johnson 1999-11-22 19:46:59 UTC
Sorry, 3.65 was a typo for 4.65.

Comment 3 Milan Kerslager 1999-11-22 22:09:59 UTC
My configuration seems to be OK with this update. Thanx a lot.


Note You need to log in before you can comment on or make changes to this bug.